{
	"name": "newworld",
	"displayName": "New World",
	"version": "0.0.8",
	"description": "VSCode Extension for New World Engine",
	"publisher": "NewWorld",
	"license": "MIT",
	"icon": "Logo.ico",
	"engines": {
		"vscode": "^1.59.0"
	},
	"categories": [
		"Other"
	],
	"activationEvents": [
		"onStartupFinished"
	],
	"main": "./dist/extension.js",
	"contributes": {
		"languages": [
			{
				"id": "json",
				"extensions": [
					".nwe"
				]
			}
		],
		"commands": [
			{
				"command": "newworld.newClass",
				"category": "New World",
				"title": "New Class"
			},
			{
				"command": "newworld.generateProjects",
				"category": "New World",
				"title": "Generate Projects"
			},
			{
				"command": "newworld.build",
				"category": "New World",
				"title": "Build"
			}
		],
		"menus": {
			"explorer/context": [
				{
					"when": "isNewWorldEngine && explorerResourceIsFolder",
					"command": "newworld.newClass",
					"group": "navigation@7"
				},
				{
					"when": "isNewWorldEngine && explorerResourceIsFolder",
					"command": "newworld.generateProjects",
					"group": "2_workspace@1"
				},
				{
					"when": "isNewWorldEngine && explorerResourceIsFolder",
					"command": "newworld.build",
					"group": "2_workspace@2"
				}
			]
		}
	},
	"scripts": {
		"vscode:prepublish": "npm run package",
		"compile": "webpack",
		"watch": "webpack --watch",
		"package": "webpack --mode production --devtool hidden-source-map",
		"test-compile": "tsc -p ./",
		"test-watch": "tsc -watch -p ./",
		"pretest": "npm run test-compile && npm run lint",
		"lint": "eslint src --ext ts",
		"test": "node ./out/test/runTest.js",
		"scripts:package": "vsce package --out newworld.vsix",
		"scripts:publish": "vsce publish"
	},
	"devDependencies": {
		"@types/vscode": "^1.59.0",
		"@types/glob": "^7.1.3",
		"@types/mocha": "^8.2.2",
		"@types/node": "14.x",
		"eslint": "^7.27.0",
		"@typescript-eslint/eslint-plugin": "^4.26.0",
		"@typescript-eslint/parser": "^4.26.0",
		"glob": "^7.1.7",
		"mocha": "^8.4.0",
		"typescript": "^4.3.2",
		"vscode-test": "^1.5.2",
		"ts-loader": "^9.2.2",
		"webpack": "^5.38.1",
		"webpack-cli": "^4.7.0"
	},
	"dependencies": {
		"fs": "0.0.1-security",
		"vsce": "^1.96.1"
	}
}
